{
  "name": "ddd-tree",
  "version": "0.0.1",
  "description": "Do, Doing, Done State Tree",
  "main": "src/index.js",
  "browser": "dist/index.js",
  "module": "src/index.js",
  "jsnext:main": "src/index.js",
  "repository": "git@gitlab.com:adelyte/ddd-tree.git",
  "author": "Adelyte Company <opensource@adelyte.com>",
  "license": "Apache-2.0",
  "scripts": {
    "docker": "yarn run docker:build && yarn run start:docker",
    "docker:build": "if [ ! -z ${CI+x} ]; then exit; fi && docker build -t controlenvy-redis ./docker",
    "docker:kill": "docker ps | grep controlenvy-redis | awk '{print $1}' | xargs docker kill",
    "precommit": "lint-staged",
    "clean": "rm -rf ./dist",
    "format:js": "prettier --single-quote --no-semi --write $(find . -name '*.js' -not -path './node_modules/*' -not -path './dist/*' -not -path './tmp/*')",
    "format:all": "yarn run format:js",
    "lint:all": "eslint $(find . -name '*.js' -not -path './node_modules/*' -not -path './dist/*' -not -path './tmp/*')",
    "lint:src": "eslint $(find ./src)",
    "lint:test": "eslint $(find ./test)",
    "prebuild": "yarn run clean && yarn run format:all && yarn run lint:src",
    "build": "rollup -c build/rollup.config.js",
    "pretest": "yarn run build",
    "test": "yarn run lint:test && yarn run test:nolint",
    "test:nolint": "FORCE_COLOR=1 node test.js && yarn run docker:kill || yarn run docker:kill",
    "test:run": "NODE_PATH=. mocha --expose-gc --require reify $(find ./test -name '*.js')",
    "start:docker": "docker run -p 6379:6379 -v $PWD/docker/data:/data controlenvy-redis --appendonly yes",
    "start:docker:test": "docker run -p 6379:6379 controlenvy-redis --appendonly yes"
  },
  "reifyModules": [
    "lodash-es",
    "mixwith"
  ],
  "lint-staged": {
    "*.js": [
      "format:js",
      "git add"
    ]
  },
  "dependencies": {
    "borc": "^2.0.2",
    "hiredis": "^0.5.0",
    "json-ptr": "^1.0.1",
    "lodash-es": "^4.17.4",
    "mixwith": "^0.1.1",
    "redis": "^2.7.1"
  },
  "devDependencies": {
    "chai": "^3.5.0",
    "eslint": "^3.19.0",
    "eslint-config-prettier": "^2.0.0",
    "eslint-plugin-prettier": "^2.0.1",
    "globby": "^6.1.0",
    "husky": "^0.13.2",
    "lint-staged": "^3.4.0",
    "mocha": "^3.2.0",
    "node-es-module-loader": "^0.3.8",
    "prettier": "^1.7.3",
    "reify": "https://github.com/taylorzane/reify.git",
    "rollup": "^0.41.6",
    "rollup-plugin-commonjs": "^8.0.2",
    "rollup-plugin-ignore": "^1.0.3",
    "rollup-plugin-json": "^2.1.1",
    "rollup-plugin-node-builtins": "^2.1.1",
    "rollup-plugin-node-globals": "^1.1.0",
    "rollup-plugin-node-resolve": "^2.0.0",
    "rollup-plugin-re": "^1.0.2",
    "sinon": "^2.1.0",
    "sinon-chai": "^2.9.0"
  }
}
